> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonMarkets

> Get list of markets (pools) with other jettons



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/markets
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/markets:
    get:
      tags:
        - JettonsService
      summary: getJettonMarkets
      description: Get list of markets (pools) with other jettons
      operationId: JettonsService_GetMarkets
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 100
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: exchangeId
          in: query
          description: ID of the exchange
          schema:
            type: string
            default: dedust
            enum:
              - dedust
              - stonfi
              - tonco
        - name: counterpart
          in: query
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          schema:
            type: string
        - name: poolAddress
          in: query
          description: >-
            Pool address


            Example:
            `0:327054b432bd59b327674ba3a6b30a096420d2c4872200764554a3ab0e597714`
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetMarketsResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetMarketsResponse:
      type: object
      properties:
        markets:
          type: array
          items:
            $ref: '#/components/schemas/v1JettonMarket'
        addressBook:
          title: Possible aliases for all raw addresses in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1AddressBookItem'
        jettons:
          title: Short metadata about jettons used in response
          type: object
          additionalProperties:
            $ref: '#/components/schemas/v1ShortJettonMeta'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonMarket:
      type: object
      properties:
        counterpart:
          title: Address of counterpart jetton
          type: string
        exchangeId:
          $ref: '#/components/schemas/v1ExchangeId'
        poolAddress:
          title: Address of pool
          type: string
        type:
          $ref: '#/components/schemas/v1JettonMarketType'
        createdAt:
          title: Date and time of market creation
          type: string
          format: date-time
        liquidity:
          $ref: '#/components/schemas/v1JettonMarketLiquidity'
        price:
          $ref: '#/components/schemas/v1JettonMarketPrice'
        lastTransactionAt:
          title: Date and time of last transaction
          type: string
          format: date-time
    v1AddressBookItem:
      type: object
      properties:
        userFriendly:
          title: Bounced address
          type: string
          description: Bounced user-friendly address
    v1ShortJettonMeta:
      type: object
      properties:
        address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
          format: int64
        image:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    v1ExchangeId:
      title: Name of exchange
      type: string
      default: dedust
      enum:
        - dedust
        - stonfi
        - tonco
    v1JettonMarketType:
      type: string
      default: JTN_MRKT_LINEAR
      enum:
        - JTN_MRKT_LINEAR
        - JTN_MRKT_STABLE
    v1JettonMarketLiquidity:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/v1DecimalValue'
        counterpart:
          $ref: '#/components/schemas/v1DecimalValue'
        ton:
          $ref: '#/components/schemas/v1DecimalValue'
        usd:
          $ref: '#/components/schemas/v1DecimalValue'
        changedAt:
          title: Date and time of last liquidity change
          type: string
          format: date-time
    v1JettonMarketPrice:
      type: object
      properties:
        counterpart:
          $ref: '#/components/schemas/v1DecimalValue'
        ton:
          $ref: '#/components/schemas/v1DecimalValue'
        usd:
          $ref: '#/components/schemas/v1DecimalValue'
        changedAt:
          title: Date and time of last price change
          type: string
          format: date-time
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````